From: X0RW3LL <x0rw3ll@gmail.com>
Date: Sun, 28 Jul 2024 14:00:31 +0300
Subject: Use raw strings for regex pattern
Forwarded: https://github.com/saeeddhqan/Maryam/pull/288
Applied-Upstream: commit:e40c509, https://github.com/saeeddhqan/Maryam/pull/288

---
 maryam/core/util/helpers/web_scrap.py   | 2 +-
 maryam/core/util/iris/cluster.py        | 2 +-
 maryam/modules/footprint/crawl_pages.py | 2 +-
 maryam/modules/osint/cloud_storage.py   | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/maryam/core/util/helpers/web_scrap.py b/maryam/core/util/helpers/web_scrap.py
index 6a196ca..0712a1a 100644
--- a/maryam/core/util/helpers/web_scrap.py
+++ b/maryam/core/util/helpers/web_scrap.py
@@ -136,7 +136,7 @@ class main:
 			if cond1:
 				continue
 
-			join = str(join).replace('\/', '/')
+			join = str(join).replace(r'\/', '/')
 			##########################
 			# ADD OUT SCOPE
 			##########################
diff --git a/maryam/core/util/iris/cluster.py b/maryam/core/util/iris/cluster.py
index 3e9e452..58a756a 100644
--- a/maryam/core/util/iris/cluster.py
+++ b/maryam/core/util/iris/cluster.py
@@ -31,7 +31,7 @@ class main:
 		return [x for x in text if x not in stops]
 
 	def tokenize_and_stem(self, text):
-		tokens = re.findall("[A-Z]{2,}(?![a-z])|[A-Z][a-z]+(?=[A-Z])|[\'\w\-]+",text)
+		tokens = re.findall(r"[A-Z]{2,}(?![a-z])|[A-Z][a-z]+(?=[A-Z])|[\'\w\-]+",text)
 		filtered_tokens = []
 		for token in tokens:
 			if re.search('[a-zA-Z]', token):
diff --git a/maryam/modules/footprint/crawl_pages.py b/maryam/modules/footprint/crawl_pages.py
index 880dcb9..805ff26 100644
--- a/maryam/modules/footprint/crawl_pages.py
+++ b/maryam/modules/footprint/crawl_pages.py
@@ -30,7 +30,7 @@ meta = {
 		('debug', False, False, 'debug the scraper', '--debug', 'store_true', bool),
 		('thread', 1, False, 'The number of links that open per round', '-t', 'store', int),
 	),
-	'examples': ('crawl_pages -d <DOMAIN> -r "https?://[A-z0-9\./]+"\
+	'examples': (r'crawl_pages -d <DOMAIN> -r "https?://[A-z0-9\./]+"\
 	 --output', 'crawl_pages -d <DOMAIN> --limit 2 --more')
 }
 
diff --git a/maryam/modules/osint/cloud_storage.py b/maryam/modules/osint/cloud_storage.py
index 32b68ae..95a3c94 100644
--- a/maryam/modules/osint/cloud_storage.py
+++ b/maryam/modules/osint/cloud_storage.py
@@ -70,7 +70,7 @@ def module_api(self):
 		self.thread(search, self.options['thread'], engine, query, q_formats, limit, count, meta['sources'])
 			
 		output['links'] += list( self.reglib().filter(r"https?://([\w\-\.]+\.)?"\
-		+ site_url.replace('.','\.')+"/", list( set(LINKS) ) ) ) #escaping . for regex search using replace()
+		+ site_url.replace('.',r'\.')+"/", list( set(LINKS) ) ) ) #escaping . for regex search using replace()
 
 	self.save_gather(output, 'osint/cloud_storage', query, output=self.options.get('output'))
 	return output
